VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::recovery::RestoreDefinitions Class Reference

Defines the type descriptors for the Restore API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | restoreRequest
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | localizableMessage
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | metadata
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | validateInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | validateOutput

## Detailed Description

Defines the type descriptors for the Restore API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::RestoreDefinitions::localizableMessage`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.StringType());
                    fields.Add("default_message", new vmware.vapi.bindings.type.StringType());
                    fields.Add("args", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.recovery.restore.localizable_message", fields, typeof(vmware.appliance.recovery.RestoreTypes.LocalizableMessage), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::RestoreDefinitions::metadata`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("timestamp", new vmware.vapi.bindings.type.DateTimeType());
                    fields.Add("parts", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("version", new vmware.vapi.bindings.type.StringType());
                    fields.Add("boxname", new vmware.vapi.bindings.type.StringType());
                    fields.Add("comment", new vmware.vapi.bindings.type.StringType());
                    fields.Add("applicable", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.RestoreDefinitions.localizableMessage.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.recovery.restore.metadata", fields, typeof(vmware.appliance.recovery.RestoreTypes.Metadata), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::RestoreDefinitions::restoreRequest`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("backup_password", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SecretType()));
                    fields.Add("location_type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.recovery.RestoreTypes.LocationType)));
                    fields.Add("location", new vmware.vapi.bindings.type.StringType());
                    fields.Add("location_user", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("location_password", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.SecretType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.recovery.restore.restore_request", fields, typeof(vmware.appliance.recovery.RestoreTypes.RestoreRequest), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::recovery::RestoreDefinitions::validateInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("piece", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.RestoreDefinitions.restoreRequest.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::recovery::RestoreDefinitions::validateOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.recovery.RestoreDefinitions.metadata.Value));
                })

The documentation for this class was generated from the following file:

- RestoreDefinitions.cs